// Wire Master Writer
// by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Writes data to an I2C/TWI slave device
// Refer to the "Wire Slave Receiver" example for use with this

// Created 29 March 2006

// This example code is in the public domain.


#include <Wire.h>

void setup() {
  Wire.begin(); // join i2c bus (address optional for master)
  pinMode(1, INPUT_PULLUP); // set push button pin as input
  pinMode(0, OUTPUT);      // set LED pin as output
  digitalWrite(0, LOW);    // switch off LED pin
}

byte x = 0;

void loop() {
  Wire.beginTransmission(8); // transmit to device #8
  Wire.write("L is ");        // sends five bytes
  // Wire.write(x);              // sends one byte LED on
  //Wire.endTransmission();    // stop transmitting


  if (digitalRead(1) == HIGH) {
    digitalWrite(0, 0);
    x = 0;
    Wire.write(x);              // sends one byte LED on
    Wire.endTransmission();    // stop transmitting
  }

  if (digitalRead(1) == LOW) {
    digitalWrite(0, 1);
    x = 1;
    Wire.write(x);              // sends one byte LED off
    Wire.endTransmission();    // stop transmitting
  }
  delay(500);
}
